2017-03-28 06:20 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004632MPDReplayGainpublic2017-01-23 17:58
Reporterereckase 
Assigned Tocirrus 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMacOSmacOS SierraOS Version10.12.2
Product Version0.20 
Target VersionFixed in Versiongit 
Summary0004632: Replaygain reset to off when pausing and restarting music, restored with next track
DescriptionI noticed that if I pause a track being played back with album gain applied, and then restart playback, the track is louder than it was when it was paused. Upon transition to the next track, the overall volume gets quieter again. It appears that when playback is restarted after pause, the replaygain setting is either turned off or ignored until the next track change.
Steps To ReproduceIt is easiest to notice this bug with a continuous DJ mix of some kind, as the volume levels will be easier to notice.

Using album gain for playback, start playing a full album of tracks. At some point, pause and restart track playback, and you will notice a volume difference.

The track boundary after the pause and restart will be noticable, as the overall track volume will drop on track switch.
Additional InformationI am using `replaygain "album"` in my mpd.conf file.

This happens with both front ends I use regularly (ncmpcpp and cantata).
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010295

cirrus (administrator)

5e93cfdd9e23ee8a2e611f31eca057cf407b6766
+Notes

-Issue History
Date Modified Username Field Change
2017-01-20 17:28 ereckase New Issue
2017-01-20 17:28 ereckase Status new => assigned
2017-01-20 17:28 ereckase Assigned To => cirrus
2017-01-23 17:58 cirrus Status assigned => resolved
2017-01-23 17:58 cirrus Resolution open => fixed
2017-01-23 17:58 cirrus Fixed in Version => git
2017-01-23 17:58 cirrus Note Added: 0010295
+Issue History